--- title: "Delete category" slug: "vodstation-category-delete" tags: ["VOD Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vodstation-category-delete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete category Available in Classic and VPC Delete a category. Note Even if you delete the category, the created folders and files in the Object Storage bucket are maintained. Delete unused folders and files in Object Storage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v2/category/{categoryId} | ### Request headers For information about the headers common to all VOD Station APIs, see [VOD Station request headers](/docs/en/vodstation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryId` | String | Required | Category ID - See [Get category list](/docs/en/vodstation-category-list). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://vodstation.apigw.ntruss.com/api/v2/category/*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.disabled` | Boolean | - | Whether Sub Account is disabled - `true` \| `false` - `true`: Disabled - `false`: Enabled | | `content.id` | Integer | - | Category ID | | `content.name` | String | - | Category name | | `content.thumbnail` | Boolean | - | Thumbnail extraction settings - `true` \| `false` - `true`: Extract - `false`: Not extract | | `content.notificationUrl` | String | - | Callback URL | | `content.output` | Object | - | Output settings information | | `content.output.bucketName` | String | - | Bucket name to save the output file | | `content.output.filePath` | String | - | Detailed path to save the output file | | `content.output.accessControl` | String | - | Disclosure scope of the output file | | `content.output.thumbnailAccessControl` | String | - | Disclosure scope of the output thumbnail | | `content.output.thumbnailBucketName` | String | - | Bucket name to save the output thumbnail | | `content.output.thumbnailFilePath` | String | - | Detailed path to save the output thumbnail | | `content.lastWorkStart` | Integer | - | Last job start time (millisecond) - Unix timestamp format | | `content.createTime` | Integer | - | Category creation date and time (millisecond) - Unix timestamp format | | `content.updateTime` | Integer | - | Category modification date and time (millisecond) - Unix timestamp format | | `content.deleteTime` | Integer | - | Category deletion date and time (millisecond) - Unix timestamp format | | `content.status` | String | - | Category status - `CREATED` \| `DELETED` \| `RUNNING` - `CREATED`: Creation completed - `DELETED`: Deletion completed - `RUNNING`: In use | | `content.outputTotalSize` | Integer | - | Total size of output file (byte) | | `content.outputTotal` | Integer | - | Total number of output files | | `content.inputTotal` | Integer | - | Total number of input files | | `content.outputType` | Integer | - | Number of output types according to the encoding settings | | `content.advancedOptions` | Object | - | Advanced settings information | | `content.advancedOptions.trimming` | Object | - | Output file trimming (playback section) settings | | `content.advancedOptions.trimming.startTimeCode` | String | - | Trimming start point - HH:MM:SS.S format | | `content.advancedOptions.trimming.endTimeCode` | String | - | Trimming end point - HH:MM:SS.S format | | `content.advancedOptions.imageOverlay` | Object | - | Image overlay (insertion) settings | | `content.advancedOptions.imageOverlay.input` | Object | - | Image settings information | | `content.advancedOptions.imageOverlay.input.bucketName` | String | - | Name of the bucket where the image is saved | | `content.advancedOptions.imageOverlay.input.filePath` | String | - | Detailed path of the image including the file name | | `content.advancedOptions.imageOverlay.size` | Object | - | Image size information | | `content.advancedOptions.imageOverlay.size.width` | Integer | - | Image width (pixel) | | `content.advancedOptions.imageOverlay.size.height` | Integer | - | Image height (pixel) | | `content.advancedOptions.imageOverlay.position` | Object | - | Location settings of image to be inserted | | `content.advancedOptions.imageOverlay.position.x` | Integer | - | Location of x-axis (pixel) | | `content.advancedOptions.imageOverlay.position.y` | Integer | - | Location of y-axis (pixel) | | `content.encodingOptions` | Array | - | Encoding option ID | | `content.encodingOptionTemplateId` | Integer | - | Encoding template ID | ### Response status codes For information about the HTTP status codes common to all VOD Station APIs, see [VOD Station response status codes](/docs/en/vodstation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "disabled": false, "id": *****, "name": "VOD-Category", "thumbnail": true, "notificationUrl": "https://example.com/vodstation/callback", "output": { "bucketName": "station-000", "filePath": "/", "accessControl": "PUBLIC_READ", "thumbnailAccessControl": "PUBLIC_READ", "thumbnailBucketName": "station-000", "thumbnailFilePath": "/" }, "lastWorkStart": 1755587353000, "createTime": 1755569623000, "updateTime": 1755590013000, "deleteTime": 1755590013000, "status": "DELETED", "outputTotalSize": 17107078, "outputTotal": 21, "inputTotal": 7, "outputType": 3, "advancedOptions": { "trimming": { "startTimeCode": "00:00:00.0", "endTimeCode": "00:08:00.9" }, "imageOverlay": { "input": { "bucketName": "station-000", "filePath": "/VODStation.png" }, "size": { "width": 50, "height": 50 }, "position": { "x": 50, "y": 50 } } }, "encodingOptions": [ 1, 2, 3 ], "encodingOptionTemplateId": 1 } } ```